Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227827 - Rekeyword >=app-cdr/k3b-1.0.5-r1
Summary: Rekeyword >=app-cdr/k3b-1.0.5-r1
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Sparc Porters
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks:
 
Reported: 2008-06-17 15:40 UTC by Samuli Suominen
Modified: 2009-11-13 01:27 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2008-06-17 15:40:28 UTC
.
Comment 1 Samuli Suominen gentoo-dev 2008-06-17 15:41:55 UTC
  KEYWORDS.dropped              6
   app-cdr/k3b/k3b-1.0.3.ebuild: ppc64 sparc
   app-cdr/k3b/k3b-1.0.4.ebuild: sparc
   app-cdr/k3b/k3b-1.0.4-r1.ebuild: sparc
   app-cdr/k3b/k3b-1.0.5.ebuild: sparc
   app-cdr/k3b/k3b-1.0.5-r1.ebuild: sparc
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2008-06-17 17:59:14 UTC
Iirc the sparc team dropped its keyword purposefully, because of problems with K3B 1.x on Sparc. Would be nice though, if this would not only be re-evaluated, but problems be addressed, so we can drop older ebuilds.
Comment 3 Samuli Suominen gentoo-dev 2008-06-18 13:05:23 UTC
I'd prefer to have at least some info what's wrong because just maybe some other distribution, or k3b resources provide a solution already
Comment 4 Raúl Porcel (RETIRED) gentoo-dev 2008-06-21 09:36:58 UTC
I just get the splash screen and then nothing, this is the output:
(K3bDevice::HalConnection) Failed to init HAL context!
(K3bDevice::HalConnection) failed to open connection to HAL.
(K3bDevice::HalConnection) initializing HAL >= 0.5
(K3bDevice::HalConnection) Failed to init HAL context!
(K3bDevice::HalConnection) failed to open connection to HAL.
(K3bDevice::HalConnection) initializing HAL >= 0.5
(K3bDevice::HalConnection) Failed to init HAL context!
(K3bDevice::HalConnection) failed to open connection to HAL.
/dev/hda resolved to /dev/hda
/dev/hda is block device (0)
/dev/hda seems to be cdrom
(K3bDevice::Device) /dev/hda: init()
(K3bDevice::Device) /dev/hda feature: CD Mastering
(K3bDevice::Device) /dev/hda feature: CD Track At Once
(K3bDevice::Device) /dev/hda: dataLen: 60
(K3bDevice::Device) /dev/hda: checking for TAO
(K3bDevice::Device) /dev/hda: checking for SAO
(K3bDevice::Device) /dev/hda: checking for SAO_R96P
(K3bDevice::Device) /dev/hda: checking for SAO_R96R
(K3bDevice::Device) /dev/hda: checking for RAW_R16
(K3bDevice::Device) /dev/hda: checking for RAW_R96P
(K3bDevice::Device) /dev/hda: checking for RAW_R96R
(K3bDevice::DeviceManager) setting current write speed of device /dev/hda to 706
(K3bDevice::DeviceManager) SCANNING FOR GENERIC DEVICES.
bus: 0, id: 0, lun: 0
bus: 0, id: 1, lun: 0
Could not resolve /dev/sg2
(K3bDevice::Device) could not open device /dev/sg2 for reading
                    (No such file or directory)
Could not resolve /dev/sg3
(K3bDevice::Device) could not open device /dev/sg3 for reading
                    (No such file or directory)
Could not resolve /dev/sg4
(K3bDevice::Device) could not open device /dev/sg4 for reading
                    (No such file or directory)
Could not resolve /dev/sg5
(K3bDevice::Device) could not open device /dev/sg5 for reading
                    (No such file or directory)
Could not resolve /dev/sg6
(K3bDevice::Device) could not open device /dev/sg6 for reading
                    (No such file or directory)
Could not resolve /dev/sg7
(K3bDevice::Device) could not open device /dev/sg7 for reading
                    (No such file or directory)
Could not resolve /dev/sg8
(K3bDevice::Device) could not open device /dev/sg7 for reading
                    (No such file or directory)
Could not resolve /dev/sg8
(K3bDevice::Device) could not open device /dev/sg8 for reading
                    (No such file or directory)
Could not resolve /dev/sg9
(K3bDevice::Device) could not open device /dev/sg9 for reading
                    (No such file or directory)
Could not resolve /dev/sg10
(K3bDevice::Device) could not open device /dev/sg10 for reading
                    (No such file or directory)
Could not resolve /dev/sg11
(K3bDevice::Device) could not open device /dev/sg11 for reading
                    (No such file or directory)
Could not resolve /dev/sg12
(K3bDevice::Device) could not open device /dev/sg12 for reading
                    (No such file or directory)
Could not resolve /dev/sg13
(K3bDevice::Device) could not open device /dev/sg13 for reading
                    (No such file or directory)
Could not resolve /dev/sg14
(K3bDevice::Device) could not open device /dev/sg14 for reading
                    (No such file or directory)
Could not resolve /dev/sg15
(K3bDevice::Device) could not open device /dev/sg15 for reading
                    (No such file or directory)
   0 - 01001111 - 79
   1 - 00111011 - 59
   2 - 01001010 - 74
/dev/hda: ATIP capacity: 79:57:74
(K3bDevice::Device) READ CAPACITY: 05:28:31 other capacity: 79:57:74
DiskInfo:
Mediatype:       CD-RW
Current Profile: CD-RW
Disk state:      complete
Empty:           0
Rewritable:      1
Appendable:      0
Sessions:        1
Tracks:          1
Layers:          1
Capacity:        79:57:74 (LBA 359849) (736970752 Bytes)
Remaining size:  00:00:00 (LBA 0) (0 Bytes)
Used Size:       05:28:32 (LBA 24632) (50446336 Bytes)
Session |  ADR   | CONTROL|  TNO   | POINT  |  Min   |  Sec   | Frame  |  Zero  |  PMIN  |  PSEC  | PFRAME |
      1 |      1 |      4 |      0 |     a0 |      0 |      0 |      0 |      0 |      1 |      0 |      0 |
      1 |      1 |      4 |      0 |     a1 |      0 |      0 |      0 |      0 |      1 |      0 |      0 |
      1 |      1 |      4 |      0 |     a2 |      0 |      0 |      0 |      0 |      5 |     30 |     32 |
      1 |      1 |      4 |      0 |      1 |      0 |      0 |      0 |      0 |      0 |      2 |      0 |
      1 |      5 |      4 |      0 |     b0 |    255 |    255 |    255 |      3 |     79 |     59 |     74 |
      1 |      5 |      4 |      0 |     c0 |    162 |      0 |    140 |      0 |     97 |     27 |      0 |
      1 |      5 |      4 |      0 |     c1 |      4 |    152 |     96 |      0 |      0 |      0 |      0 |
(K3bDevice::Device) found invalid bcd values. No bcd toc.
/dev/hda: setting last sector of last track to 24631
(K3bDevice::Device) /dev/hda:  Number of supported write speeds via 2A: 25
(K3bDevice::Device) /dev/hda : 22056 KB/s
(K3bDevice::Device) /dev/hda : 60312 KB/s
(K3bDevice::Device) /dev/hda : 1176 KB/s
(K3bDevice::Device) /dev/hda : 0 KB/s
(K3bDevice::Device) /dev/hda : 24 KB/s
(K3bDevice::Device) /dev/hda : 40 KB/s
(K3bDevice::Device) /dev/hda : 48 KB/s
(K3bDevice::Device) /dev/hda : 53 KB/s
(K3bDevice::Device) /dev/hda : 67 KB/s
(K3bDevice::Device) /dev/hda : 114 KB/s
(K3bDevice::Device) /dev/hda : 115 KB/s
(K3bDevice::Device) /dev/hda : 86 KB/s
(K3bDevice::Device) /dev/hda : 105 KB/s
(K3bDevice::Device) /dev/hda : 108 KB/s
(K3bDevice::Device) /dev/hda : 110 KB/s
(K3bDevice::Device) /dev/hda : 41 KB/s
(K3bDevice::Device) /dev/hda : 117 KB/s
(K3bDevice::Device) /dev/hda : 114 KB/s
(K3bDevice::Device) /dev/hda : 98 KB/s
(K3bDevice::Device) /dev/hda : 110 KB/s
(K3bDevice::Device) /dev/hda : 115 KB/s
(K3bDevice::Device) /dev/hda : 120 KB/s
(K3bDevice::Device) /dev/hda : 0 KB/s
(K3bDevice::Device) /dev/hda : 0 KB/s
(K3bDevice::Device) /dev/hda : 80 KB/s
(K3bDevice::Device) /dev/hda writing speed 60312 higher than max 706
(K3bDevice::Device) /dev/hda writing speed 22056 higher than max 706
(K3bDevice::Device) /dev/hda writing speed 1176 higher than max 706
Devices:
------------------------------
Blockdevice:    /dev/hda
Generic device: 
Vendor:         MATSHITA
Description:    CD-RW  CW-8124
Version:        DZ13
Write speed:    706
Profiles:       DVD-ROM, CD-ROM, CD-R, CD-RW
Read Cap:       DVD-ROM, CD-ROM, CD-R, CD-RW
Write Cap:      CD-R, CD-RW
Writing modes:  SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R
Reader aliases: /dev/hda
------------------------------
kdecore (KAction): WARNING: KActionCollection::operator+=(): function is severely deprecated.

I think i tried in a debian chroot and got the same issue...will try again
Comment 5 Raúl Porcel (RETIRED) gentoo-dev 2008-06-21 10:17:39 UTC
k3b-0.12.17 starts fine and stuff, with not so much output as 1.0. And i can't check in a debian chroot, they have broken dependencies on lenny and sid. On etch they're using 0.12.17
Comment 6 Samuli Suominen gentoo-dev 2008-11-29 13:17:19 UTC
FYI. Because ffmpeg with swscaler is going stable, k3b-0.x will be losing USE="ffmpeg" and thus will be crippled.

Consider handling this bug asap to keep a usable k3b around.
Comment 7 Raúl Porcel (RETIRED) gentoo-dev 2008-12-11 19:29:49 UTC
Feel free to remove 0.12.17
Comment 8 Sr. Cv. 2009-11-11 21:26:16 UTC
What is the soultion for this problem? Downgrade to 0.x?? If so, then why 1.0.x is still considered stable if in fact it is not?
Comment 9 Samuli Suominen gentoo-dev 2009-11-11 21:51:38 UTC
(In reply to comment #8)
> What is the soultion for this problem? Downgrade to 0.x?? If so, then why 1.0.x
> is still considered stable if in fact it is not?
> 

It's not considered stable, in fact it's out of portage soon. The most stable version is 1.68.0_alpha3.
Comment 10 Sr. Cv. 2009-11-12 09:27:45 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > What is the soultion for this problem? Downgrade to 0.x?? If so, then why 1.0.x
> > is still considered stable if in fact it is not?
> > 
> 
> It's not considered stable, in fact it's out of portage soon. The most stable
> version is 1.68.0_alpha3.

O! That's right. Since 4 Nov (for my x86). Lucky me, I didn't need CD burner, cause between 16 Aug and 4 Nov portage had stable 1.0.5 that was known to have problems for over a year before... 

Why was 1.0.5 made stable for x86 in Aug this year if since June last year it was known to cause problems? Or maybe I don't undertand it well?

Comment 11 Sr. Cv. 2009-11-12 15:02:48 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > What is the soultion for this problem? Downgrade to 0.x?? If so, then why 1.0.x
> > is still considered stable if in fact it is not?
> > 
> 
> It's not considered stable, in fact it's out of portage soon. The most stable
> version is 1.68.0_alpha3.

Well... in fact the 1.68.0_alpha3 is currently not installable for x86 because it (indirectly) depends on kdelibs-4.3.1 which doesn't compile: http://bugs.gentoo.org/show_bug.cgi?id=292072 Newer kdelibs requires quite a lot unmasking of ~x86 ebuilds.


Comment 12 Tomáš Chvátal (RETIRED) gentoo-dev 2009-11-12 15:07:04 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > (In reply to comment #8)
> > > What is the soultion for this problem? Downgrade to 0.x?? If so, then why 1.0.x
> > > is still considered stable if in fact it is not?
> > > 
> > 
> > It's not considered stable, in fact it's out of portage soon. The most stable
> > version is 1.68.0_alpha3.
> 
> Well... in fact the 1.68.0_alpha3 is currently not installable for x86 because
> it (indirectly) depends on kdelibs-4.3.1 which doesn't compile:
> http://bugs.gentoo.org/show_bug.cgi?id=292072 Newer kdelibs requires quite a
> lot unmasking of ~x86 ebuilds.
> 

Just for the record. You are complaining that stable kde does not compile with TESTING toolchain, and you think that TESTING kde is worse than stable toolchain? Just use kde-4.3.3 or live with the mess you caused yourself.
Comment 13 Sr. Cv. 2009-11-13 01:27:43 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #9)
> > > (In reply to comment #8)
> > > > What is the soultion for this problem? Downgrade to 0.x?? If so, then why 1.0.x
> > > > is still considered stable if in fact it is not?
> > > > 
> > > 
> > > It's not considered stable, in fact it's out of portage soon. The most stable
> > > version is 1.68.0_alpha3.
> > 
> > Well... in fact the 1.68.0_alpha3 is currently not installable for x86 because
> > it (indirectly) depends on kdelibs-4.3.1 which doesn't compile:
> > http://bugs.gentoo.org/show_bug.cgi?id=292072 Newer kdelibs requires quite a
> > lot unmasking of ~x86 ebuilds.
> > 
> 
> Just for the record. You are complaining that stable kde does not compile with
> TESTING toolchain, and you think that TESTING kde is worse than stable
> toolchain? Just use kde-4.3.3 or live with the mess you caused yourself.
> 

Thanks for drawing my attention to the libtool. I checked it once more, and in fact the bug I mentioned is not relevant my problem, since I have stable glibc 2.9_p20081201-r2. Nevertheless the kdelibs does not compile, so I cannot get functional k3b. Worthy a new bug report?